{
  "format_version": "1.19.0",
  "animation_controllers": {
    "controller.animation.pr_austro.general": {
      "initial_state": "idle",
      "states": {
        "idle": {
          "animations": [
            "idle",
            "look_at_target"
          ],
          "transitions": [
            {
              "walk": "query.modified_move_speed>0.1"
            },
            {
              "attack": "variable.attack_time>0.1"
            },
            {
              "sit": "query.is_sitting"
            },
            {
              "swim": "query.is_in_water"
            }
          ],
          "blend_transition": 0.2
        },
        "walk": {
          "animations": [
            "walk",
            "look_at_target"
          ],
          "transitions": [
            {
              "idle": "query.modified_move_speed<0.1"
            },
            {
              "attack": "variable.attack_time>0.1"
            },
            {
              "sit": "query.is_sitting"
            },
            {
              "swim": "query.is_in_water"
            }
          ],
          "blend_transition": 0.2
        },
        "attack": {
          "animations": [
            "attack"
          ],
          "transitions": [
            {
              "idle": "query.all_animations_finished"
            },
            {
              "walk": "query.all_animations_finished && query.modified_move_speed>0.1"
            },
            {
              "sit": "query.all_animations_finished && query.is_sitting"
            },
            {
              "swim": "query.all_animations_finished && query.is_in_water"
            }
          ],
          "blend_transition": 0.3
        },
        "sit": {
          "animations": [
            "sit"
          ],
          "transitions": [
            {
              "idle": "!query.is_sitting"
            },
            {
              "walk": "!query.is_sitting && query.modified_move_speed"
            },
            {
              "attack": "!query.is_sitting && variable.attack_time>0.1"
            },
            {
              "swim": "query.is_in_water"
            }
          ],
          "blend_transition": 0.3
        },
        "swim": {
          "animations": [
            "swim"
          ],
          "transitions": [
            {
              "idle": "!query.is_in_water"
            },
            {
              "walk": "!query.is_in_water && query.modified_move_speed>0.1"
            },
            {
              "attack": "!query.is_in_water && variable.attack_time>0.1"
            },
            {
              "sit": "!query.is_in_water && query.is_sitting"
            },
            {
              "swimattack": "variable.attack_time>0.1 && query.is_in_water"
            }
          ],
          "blend_transition": 0.2
        },
        "swimattack": {
          "animations": [
            "swimattack"
          ],
          "transitions": [
            {
              "swim": "query.all_animations_finished && query.is_in_water"
            }
          ],
          "blend_transition": 0.2
        }
      }
    },
    "controller.animation.pr_austro.eat": {
      "states": {
        "default": {
          "transitions": [
            {
              "eat": "query.is_eating"
            }
          ],
          "blend_transition": 0.3
        },
        "eat": {
          "animations": [
            "eat"
          ],
          "transitions": [
            {
              "default": "!query.is_eating"
            }
          ],
          "blend_transition": 0.3
        }
      }
    }
  }
}